/*SELECT Statement*/
SELECT *
FROM HumanResources.Department
WHERE Name = GroupName 

SELECT d.GroupName, d.Name, e.*
FROM HumanResources.Employee e
JOIN HumanResources.EmployeeDepartmentHistory edh ON e.EmployeeID = edh.EmployeeID 
	AND edh.EndDate IS NULL
JOIN HumanResources.Department d ON edh.DepartmentID = d.DepartmentID 
	AND d.Name = 'Sales'
WHERE e.EmployeeID = 3

/*INSERT statement*/

SELECT *
INTO HumanResources.Department2 
FROM HumanResources.Department WITH (NOLOCK)

WHERE NOT EXISTS (SELECT * 
	FROM HumanResources.Department2 
	WHERE HumanResources.Department.DepartmentId = HumanResources.Department2.DepartmentId)

INSERT INTO HumanResources.Department2
SELECT *
FROM HumanResources.Department
WHERE DepartmentID NOT IN (SELECT DepartmentID
	FROM HumanResources.Department2)

	select* from HumanResources.Shift

SET IDENTITY_INSERT HumanResources.Shift ON
INSERT INTO HumanResources.Shift
(ShiftID, Name, StartTime, EndTime, ModifiedDate)
VALUES
(4, 'Grave', '1/1/1900 23:00:00', '1/1/1900 08:00:00', getdate())
SET IDENTITY_INSERT HumanResources.Shift OFF

/*DELETE Statement*/
DELETE FROM HumanResources.Shift
WHERE ShiftID = 4

DELETE FROM HumanResources.Department2
WHERE EXISTS (SELECT * 
	FROM HumanResources.Department 
	WHERE HumanResources.Department.DepartmentID = HumanResources.Department2.DepartmentID)

DELETE a
FROM HumanResources.Department2 a
JOIN HumanResources.Department ON HumanResources.Department.DepartmentID 
	= a.DepartmentID

/*UPDATE Statement*/
UPDATE HumanResources.Employee
	SET NationalIdNumber = 234254234
WHERE EmployeeId = 1

DECLARE @table TABLE
(EmployeeId INT,
NationalIDNumber INT)

INSERT INTO @table
SELECT 4, 22620287
UNION ALL
SELECT 5, 29237393
UNION ALL
SELECT 11, 02834372

UPDATE HumanResources.Employee
	SET HumanResources.Employee.NationalIDNumber = t.NationalIdNumber
FROM @table t
WHERE HumanResources.Employee.EmployeeID = t.EmployeeId
GO
SELECT *
FROM sys.tables

